Commit c3ccc978 authored by Kenton Varda's avatar Kenton Varda

Add release script option to just build one-off packages.

parent 526a8758
......@@ -2,14 +2,16 @@
set -euo pipefail
if (grep -r KJ_DBG c++/src | egrep -v '/debug(-test)?[.]'); then
echo '*** Error: There are instances of KJ_DBG in the code.' >&2
exit 1
fi
if [ "$1" != "package" ]; then
if (grep -r KJ_DBG c++/src | egrep -v '/debug(-test)?[.]' | grep -v 'See KJ_DBG\.$'); then
echo '*** Error: There are instances of KJ_DBG in the code.' >&2
exit 1
fi
if (egrep -r 'TODO\((now|soon)\)' *); then
echo '*** Error: There are release-blocking TODOs in the code.' >&2
exit 1
if (egrep -r 'TODO\((now|soon)\)' *); then
echo '*** Error: There are release-blocking TODOs in the code.' >&2
exit 1
fi
fi
doit() {
......@@ -319,6 +321,12 @@ case "${1-}:$BRANCH" in
fi
;;
# ======================================================================================
package:* )
echo "Just building a package."
build_packages $(get_version '.*')
;;
# ======================================================================================
*:master )
echo "Invalid command for mainline branch. Only command is 'candidate'." >&2
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment